Status: Closed
Priority: Normal
Assignee:

Category: Build/Install

Affected QGIS version:master
Operating System: Windows 7
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 16922

Description

Fails to find sip. For example, running some commands from the FindSIP.py file

>>> import sys

>>> import sipconfig

>>> sipcfg = sipconfig.Configuration()

>>> print("sip_version:%06.0x" % sipcfg.sip_version)
sip_version:040e02

>>> print("sip_version_num:%d" % sipcfg.sip_version)
sip_version_num:265730

>>> print("sip_version_str:%s" % sipcfg.sip_version_str)
sip_version_str:4.14.2

>>> print("sip_bin:%s" % sipcfg.sip_bin)
sip_bin:X:\\Python27-x64\\sip

and the non-existent "X:\\Python27-x64\\sip" is propagated to the makefiles

History

#1 - 2013-06-16 11:56 AM - Giovanni Manghi

Hi,

please use meaningful subjects/titles.

#2 - 2013-06-16 12:36 PM - Jiirgen Fischer
- Resolution set to invalid
- Status changed from Open to Closed

sounds like you sip install is broken.

#3 - 2013-06-16 12:52 PM - Joaquim Luis

How can it be broken if | manually fix the makefiles to point to sip location and than it works?

#4 - 2013-06-16 12:57 PM - Jiirgen Fischer

2025-04-27

12




Joaquim Luis wrote:

How can it be broken if | manually fix the makefiles to point to sip location and than it works?

sip_bin doesn't point to the sip binary.
